

//uniform float time;
//uniform vec2 resolution;

void main(void)
{
	//our final desired color
	vec4 vColor = vec4(1.0, 1.0, 1.0, 1.0);

	//adjust padding to keep circle within bounds...
	float padding = 4.0;

	//play with these values
	float smooth1 = 4.0;
	float smooth2 = 12.0;

	vec2 c = vec2(v_tex_coord.x/2.0, v_tex_coord.y/2.0);

	//for simplicity, assume we're dealing with square sizes
	float dist = v_tex_coord.y/2.0 - distance(v_tex_coord.xy, c);

	//padding from edge, incase desired...
	dist -= padding;

	vec4 color = vec4(dist, dist, dist, 1.0);

	//get outline only
	color = mix(vec4(1.0), vec4(0.0), smoothstep(smooth1, smooth2, dist*dist));

	//clamp to rgb range so we can multiply with vertex color
	color = clamp(color, 0.0, 1.0);

	//gl_FragColor = color * vColor;
	//gl_FragColor = vec4(0.0,1.0,1.0,1);
	 gl_FragColor = v_tex_coord.xxyy
}